﻿using JetBrains.Annotations;
using OpcLabs.BaseLib.DataTypeModel;

namespace OpcLabs.BaseLibFactory.DataTypeModel
{
    static public class UnionDataInstances
    {
        [NotNull]
        static public UnionData Instance0 => new UnionData();

        [NotNull]
        static public UnionData Instance1 => new UnionData(UnionDataTypeInstances.Instance5);

        [NotNull]
        static public UnionData Instance2 => new UnionData(UnionDataTypeInstances.Instance5)
            {FieldName = "fieldName1", FieldValue = OpaqueDataInstances.Instance1};
    }
}
