﻿
using System.Linq;
using JetBrains.Annotations;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using OpcLabs.EasyOpcLiveTest.DataAccess.Environment;

namespace OpcLabs.EasyOpcLiveTest.DataAccess
{
    // ReSharper disable once InconsistentNaming
    partial class EasyDAClientTest_Com
    {
        [DynamicData(nameof(OpcLabs_KitServer.ReadWriteableItemCatalogEntryDataRows), typeof(OpcLabs_KitServer))]
        [TestCategory("Live")]
        [TestCategory("OpcClassic")]
        [TestCategory("OpcDataAccess")]
        [TestMethod]
        public void WriteItemValueCatalogTest_Com_Basic([NotNull] DAItemCatalogEntry itemCatalogEntry)
        {
            WriteItemValueCatalogTest_Basic(DALiveTestEnvironment.OpcLabs_KitServer.ServerDescriptors.WithProgId, itemCatalogEntry);
        }

        [TestCategory("Live")]
        [TestCategory("OpcClassic")]
        [TestCategory("OpcDataAccess")]
        [TestMethod]
        public void WriteItemValueCatalogTest_Com_Basic_Register_ArrayOfUI4()
        {
            WriteItemValueCatalogTest_Basic(
                DALiveTestEnvironment.OpcLabs_KitServer.ServerDescriptors.WithProgId, 
                // ReSharper disable once PossibleNullReferenceException
                // ReSharper disable once AssignNullToNotNullAttribute
                OpcLabs_KitServer.AllItemCatalogEntries.Single(entry => entry.Element.Name == "Register_ArrayOfUI4"));
        }
    }
}
