﻿
using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using OpcLabs.BaseLib;
using OpcLabs.EasyOpc.UA;
using OpcLabs.EasyOpc.UA.Gds;
using OpcLabs.UnitTestLib;

namespace OpcLabs.EasyOpcTest.UA.Gds
{
    public partial class EasyUACertificateManagementClientTest
    {
        #region Test Methods

        [TestCategory("OpcUA")]
        [TestMethod]
        public void GetServiceTest_IDisposable()
        {
            TestSection.Arrange();
            IServiceProviderTest.GetServiceTest(new EasyUACertificateManagementClient(), typeof(IDisposable));
        }

        [TestCategory("OpcUA")]
        [TestMethod]
        public void GetServiceTest_IEasyUACertificateManagementClient()
        {
            TestSection.Arrange();
            IServiceProviderTest.GetServiceTest(new EasyUACertificateManagementClient(), typeof(IEasyUACertificateManagementClient));
        }

        [TestCategory("OpcUA")]
        [TestMethod]
        public void GetServiceTest_ILicenseInfoProvider()
        {
            TestSection.Arrange();
            IServiceProviderTest.GetServiceTest(new EasyUACertificateManagementClient(), typeof(ILicenseInfoProvider));
        }

        [TestCategory("OpcUA")]
        [TestMethod]
        public void GetServiceTest_Negative_IEasyUAClient()
        {
            TestSection.Arrange();
            IServiceProviderTest.GetServiceTest_Negative(new EasyUACertificateManagementClient(), typeof(IEasyUAClient));
        }

        #endregion
    }
}
