﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.DataAccess.Connectivity;
using OpcLabs.EasyOpcFactory.DataAccess.Engine;

namespace OpcLabs.EasyOpcFactory.DataAccess.Connectivity
{
    static public class DAConnectivityConfigurationInstances
    {

        [NotNull]
        static public DAConnectivityConfiguration Instance1 => new DAConnectivityConfiguration
        {
            SharedParameters = EasyDASharedParametersInstances.Instance1,
            //IsolatedParameters = EasyDAAdaptableParametersInstances.Instance1,    // IMPROVE: have this
            InstanceParameters = EasyDAInstanceParametersInstances.Instance1
        };
    }
}
