﻿using System.Collections.Generic;
using JetBrains.Annotations;

namespace OpcLabs.EasyOpcLiveTest.DataAccess
{
    static class DAServerCatalogEntries
    {
        [NotNull]
        static public IList<DAServerCatalogEntry> Real
        {
            get
            {
                // ReSharper disable once UseObjectOrCollectionInitializer
                var list = new List<DAServerCatalogEntry>();
                list.Add(KitServerCatalogEntry.Create(location: ""));
                string machineName = DALiveTestDefinitions.Locations.OpcComTest;
                if (!string.IsNullOrEmpty(machineName))
                    list.Add(KitServerCatalogEntry.Create(location: machineName));
                return list;
            }
        }

        [NotNull]
        static public IList<DAServerCatalogEntry> Simulated => new []
        {
            SimulatedDAServerCatalogEntry.Create(location: "")
            // IMPROVE: have simulated XML-DA servers as well
        };
    }
}
