﻿using System;
using JetBrains.Annotations;
using OpcLabs.EasyOpc.DataAccess;

namespace OpcLabs.EasyOpcLiveTest.DataAccess
{
    // ReSharper disable once InconsistentNaming
    public class IEasyDAClientCatalogTestBase : IEasyDAClientTestBase
    {
        public IEasyDAClientCatalogTestBase(
            [NotNull] Func<IEasyDAClient> createClientFunc,
            [NotNull] DAServerCatalog serverCatalog)
            : base(createClientFunc)
        {
            ServerCatalog = serverCatalog;
        }

        [NotNull]
        public DAServerCatalog ServerCatalog { get; private set; }
    }
}
