﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using OpcLabs.EasyOpcLiveTest.Legacy.LiveMapping._Testers;

namespace OpcLabs.EasyOpcLiveTest.Legacy.LiveMapping
{
    [TestClass]
    public class DAMapperTest
    {
        [TestCategory("Live")]
        [TestCategory("TimeDomain")]
        [TestMethod]
        public void EventTest()
        {
            var tester = new EventTester();
            tester.Test();
        }

        [TestCategory("Live")]
        [TestCategory("TimeDomain")]
        [TestMethod]
        public void EventVtqTest()
        {
            var tester = new EventVtqTester();
            tester.Test();
        }

        [TestCategory("Live")]
        [TestCategory("TimeDomain")]
        [TestMethod]
        public void ItemIdTemplateTest()
        {
            var tester = new ItemIdTemplateTester();
            tester.Test();
        }

        [TestCategory("Live")]
        [TestCategory("TimeDomain")]
        [TestMethod]
        public void ItemIdTest()
        {
            var tester = new ItemIdTester();
            tester.Test();
        }

        [TestCategory("Live")]
        [TestCategory("TimeDomain")]
        [TestMethod]
        public void MetaMemberTest()
        {
            var tester = new MetaMemberTester();
            tester.Test();
        }

        [TestCategory("Live")]
        [TestMethod]
        public void PropertyTest()
        {
            var tester = new PropertyTester();
            tester.Test();
        }

        [TestCategory("Live")]
        [TestMethod]
        public void ReadTest()
        {
            var tester = new SimpleTester();
            tester.ReadTest();
        }

        [TestCategory("Live")]
        [TestCategory("TimeDomain")]
        [TestMethod]
        public void StaticEventTest()
        {
            var tester = new StaticEventTester();
            tester.Test();
        }

        [TestCategory("Live")]
        [TestCategory("TimeDomain")]
        [TestMethod]
        public void SubscribeTest()
        {
            var tester = new SimpleTester();
            tester.SubscribeTest();
        }

        [TestCategory("Live")]
        [TestMethod]
        public void TypelessMappingTest()
        {
            var tester = new TypelessMappingTester();
            tester.Test();
        }
    }
}
